=== src/mlpack/core/optimizers/CMakeLists.txt ===
set(DIRS
  aug_lagrangian
  lbfgs
  sgd
)

foreach(dir ${DIRS})
  add_subdirectory(${dir})
endforeach()

set(MLPACK_SRCS ${MLPACK_SRCS} PARENT_SCOPE)
