## mlpack 1.0.9

=== debian/changelog ===
mlpack (1.0.9-1b1) staging; urgency=high

  * No-change rebuild against libhdf5-8

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 09 Sep 2014 07:35:42 +0000

mlpack (1.0.9-1) unstable; urgency=medium

  * Merge NMU (thanks to Gilles Filippini)
  * New upstream version
  * Update patches; most are merged upstream
  * Paatch somme speling erorrs

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 17 Aug 2014 10:00:19 +0200

mlpack (1.0.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Support hdf5 1.8.13 new packaging layout (closes: #756706).

 -- Gilles Filippini <pini@debian.org>  Wed, 06 Aug 2014 19:41:52 +0200
