=== debian/changelog ===
mlpack (1.0.10-1) unstable; urgency=medium

  * New upstream version

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 09 Sep 2014 13:42:47 +0100
