=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 
 # export DH_VERBOSE=1
+
+ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
+  export DEB_CXXFLAGS_MAINT_APPEND := -I/usr/include/hdf5/serial
+endif
 
 %:
 	dh $@ --parallel
