## mlpack 1.0.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 option(DEBUG "Compile with debugging information" OFF)
 option(PROFILE "Compile with profiling information" OFF)
 option(ARMA_EXTRA_DEBUG "Compile with extra Armadillo debugging symbols." OFF)
+option(MATLAB_BINDINGS "Compile MATLAB bindings if MATLAB is found." OFF)
 
 # This is as of yet unused.
 #option(PGO "Use profile-guided optimization if not a debug build" ON)
@@ -298,4 +299,3 @@
         WORKING_DIRECTORY
           ${CMAKE_BINARY_DIR}/bin
         DEPENDS
-          allkfn allknn allkrann cf det emst fastmks gmm hmm_generate hmm_loglik
