=== src/mlpack/methods/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 # Recurse into each method mlpack provides.
 set(DIRS
+#  adaboost
   amf
   cf
   decision_stump
