=== src/mlpack/tests/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 # MLPACK test executable.
 add_executable(mlpack_test
   mlpack_test.cpp
+#  adaboost_test.cpp
   allkfn_test.cpp
   allknn_test.cpp
   allkrann_search_test.cpp
