=== src/mlpack/methods/amf/CMakeLists.txt ===
# Define the files we need to compile
# Anything not in this list will not be compiled into MLPACK.
set(SOURCES
  amf.hpp
  amf_impl.hpp
)

# Add directory name to sources.
set(DIR_SRCS)
foreach(file ${SOURCES})
  set(DIR_SRCS ${DIR_SRCS} ${CMAKE_CURRENT_SOURCE_DIR}/${file})
endforeach()
# Append sources (with directory name) to list of all MLPACK sources (used at
# the parent scope).
set(MLPACK_SRCS ${MLPACK_SRCS} ${DIR_SRCS} PARENT_SCOPE)

add_subdirectory(update_rules)
add_subdirectory(init_rules)
add_subdirectory(termination_policies)
