=== src/mlpack/methods/decision_stump/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

# Define the files we need to compile.
# Anything not in this list will not be compiled into MLPACK.
set(SOURCES
  decision_stump.hpp
  decision_stump_impl.hpp
)

# Add directory name to sources.
set(DIR_SRCS)
foreach(file ${SOURCES})
  set(DIR_SRCS ${DIR_SRCS} ${CMAKE_CURRENT_SOURCE_DIR}/${file})
endforeach()
# Append sources (with directory name) to list of all MLPACK sources (used at
# the parent scope).
set(MLPACK_SRCS ${MLPACK_SRCS} ${DIR_SRCS} PARENT_SCOPE)

add_executable(decision_stump
  decision_stump_main.cpp
)
target_link_libraries(decision_stump
  mlpack
)

install(TARGETS decision_stump RUNTIME DESTINATION bin)
