=== debian/changelog ===
mlpack (1.0.12-5build1) xenial; urgency=medium

  * No-change rebuild against libarmadillo6

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 02 Nov 2015 21:10:28 +0000

mlpack (1.0.12-5) unstable; urgency=medium

  * Add build dependency for /usr/bin/dot (closes: #798840)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 25 Sep 2015 08:56:20 +0100

mlpack (1.0.12-4) unstable; urgency=medium

  * patch to remove timestamp from Doxygen output

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 16 Jun 2015 11:19:53 +0100

mlpack (1.0.12-3) unstable; urgency=medium

  * actually type "unstable" where I meant to

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 08 May 2015 11:00:31 +0100

mlpack (1.0.12-2) experimental; urgency=medium

  * freeze is over, target to unstable

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 05 May 2015 09:33:38 +0100

mlpack (1.0.12-1) experimental; urgency=medium

  * New upstream version
  * Upstream license now 3-Clause BSD
  * Paatch somme more speling erorrs

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 19 Jan 2015 07:23:12 +0000
