=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mlpack
 Section: libs
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Barak A. Pearlmutter <bap@debian.org>
 DM-Upload-Allowed: yes
 Build-Depends: cmake, debhelper (>=9), dh-exec,
@@ -12,8 +13,8 @@
 		libxml2-dev,
 		libarmadillo-dev,
 		txt2man,
-		doxygen, doxygen-latex
-Standards-Version: 3.9.5
+		doxygen, doxygen-latex, graphviz
+Standards-Version: 3.9.6
 Homepage: http://www.mlpack.org/
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/mlpack.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/mlpack.git
